54 lines
1.7 KiB
Diff
54 lines
1.7 KiB
Diff
|
From d030973c872c00d916921d84deee0af2c0d38081 Mon Sep 17 00:00:00 2001
|
||
|
From: Khem Raj <raj.khem@gmail.com>
|
||
|
Date: Fri, 29 Mar 2013 08:38:25 +0400
|
||
|
Subject: [PATCH 02/35] uclibc-conf
|
||
|
|
||
|
Signed-off-by: Khem Raj <raj.khem@gmail.com>
|
||
|
|
||
|
Upstream-Status: Pending
|
||
|
---
|
||
|
contrib/regression/objs-gcc.sh | 4 ++++
|
||
|
libjava/classpath/ltconfig | 4 ++--
|
||
|
2 files changed, 6 insertions(+), 2 deletions(-)
|
||
|
|
||
|
diff --git a/contrib/regression/objs-gcc.sh b/contrib/regression/objs-gcc.sh
|
||
|
index 60b0497..6dc7ead 100755
|
||
|
--- a/contrib/regression/objs-gcc.sh
|
||
|
+++ b/contrib/regression/objs-gcc.sh
|
||
|
@@ -106,6 +106,10 @@ if [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-gnu ]
|
||
|
then
|
||
|
make all-gdb all-dejagnu all-ld || exit 1
|
||
|
make install-gdb install-dejagnu install-ld || exit 1
|
||
|
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
|
||
|
+ then
|
||
|
+ make all-gdb all-dejagnu all-ld || exit 1
|
||
|
+ make install-gdb install-dejagnu install-ld || exit 1
|
||
|
elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
|
||
|
make bootstrap || exit 1
|
||
|
make install || exit 1
|
||
|
diff --git a/libjava/classpath/ltconfig b/libjava/classpath/ltconfig
|
||
|
index 743d951..ae4ea60 100755
|
||
|
--- a/libjava/classpath/ltconfig
|
||
|
+++ b/libjava/classpath/ltconfig
|
||
|
@@ -603,7 +603,7 @@ host_os=`echo $host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
|
||
|
|
||
|
# Transform linux* to *-*-linux-gnu*, to support old configure scripts.
|
||
|
case $host_os in
|
||
|
-linux-gnu*) ;;
|
||
|
+linux-gnu*|linux-uclibc*) ;;
|
||
|
linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
|
||
|
esac
|
||
|
|
||
|
@@ -1247,7 +1247,7 @@ linux-gnuoldld* | linux-gnuaout* | linux-gnucoff*)
|
||
|
;;
|
||
|
|
||
|
# This must be Linux ELF.
|
||
|
-linux-gnu*)
|
||
|
+linux*)
|
||
|
version_type=linux
|
||
|
need_lib_prefix=no
|
||
|
need_version=no
|
||
|
--
|
||
|
1.7.10.4
|
||
|
|